Inspecting and Modifying SLURM Jobs
===================================

Most of the actions that modify the jobs will require root to do them.

### Getting detailed information about a running job

```
scontrol show job <JOB_ID>
```

This will dump detailed job properties (attributes).
Example: (output shortened)

```
$ scontrol show job 1207296
JobId=1207296 JobName=sys/dashboard/sys/jupyter
   UserId=wpurwant(449753) GroupId=users(14514) MCS_label=N/A
   Priority=19288 Nice=0 Account=odu QOS=normal
   JobState=RUNNING Reason=None Dependency=(null)
   Requeue=0 Restarts=0 BatchFlag=1 Reboot=0 ExitCode=0:0
   RunTime=23:16:02 TimeLimit=1-00:00:00 TimeMin=N/A
   SubmitTime=2023-01-12T10:51:14 EligibleTime=2023-01-12T10:51:14
   AccrueTime=2023-01-12T10:51:14
   StartTime=2023-01-12T10:51:15 EndTime=2023-01-13T10:51:15 Deadline=N/A
   ...
```


### Modifying job properties

(requires root)
```
scontrol update jobid=<JOB_ID> <ATTRIBUTE_LIST...>
```

Example:

```
# scontrol update jobid=1207296 timelimit=3-0
```

This will modify the time limit of job number 1207296.
The attribute is in the `KEY=VALUE` format, and
the keyword is case-insensitive.
See the output of `scontrol show job` for the complete list of attributes
as well as the acceptable format of the values.

